<?php

/* Plugin Name: Envato Affiliate
 * Description: Affiliate integration options for Envato
 * Plugin URI: https://ietheme.com/
 * Author: 99839
 * Version: 1.0.0
 * Author URI: https://ietheme.com/
 * Requires at least:   5.0
 * Tested up to:        5.6
 * Text Domain: envato-affiliate
 * @package envato-affiliate
 */

function ie_envato_init() {
  load_plugin_textdomain( 'envato-affiliate', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action('plugins_loaded', 'ie_envato_init');
// Include the Settings classes.
require_once plugin_dir_path( __FILE__ ) . 'admin/class-option.php';

require_once plugin_dir_path( __FILE__ ) . 'includes/class-funtions.php';
require_once plugin_dir_path( __FILE__ ) . 'public/class-templates.php';

register_activation_hook( __FILE__, 'ie_envato_install_function');
function ie_envato_install_function()
{
    $item_details_page = get_option('item_details_page'); 
    if(!$item_details_page){
        //post status and options
        $post = array(
              'comment_status' => 'closed',
              'ping_status' =>  'closed' ,
              'post_author' => 1,
              'post_date' => date('Y-m-d H:i:s'),
              'post_name' => 'go',
              'post_status' => 'publish' ,
              'post_title' => 'Redirect',
              'post_type' => 'page',
        );  
        //insert page and save the id
        $newvalue = wp_insert_post( $post, false );
        if ( $newvalue && ! is_wp_error( $newvalue ) ){
            update_post_meta( $newvalue, '_wp_page_template', 'redirect.php' );
        }
        //save the id in the database
        update_option( 'item_details_page', $newvalue );
    }
}