<?php
/*
Template Name: Redirect
*/
if(strlen($_SERVER['REQUEST_URI']) > 384 ||
    strpos($_SERVER['REQUEST_URI'], "eval(") ||
    strpos($_SERVER['REQUEST_URI'], "base64")) {
        @header("HTTP/1.1 414 Request-URI Too Long");
        @header("Status: 414 Request-URI Too Long");
        @header("Connection: Close");
        @exit;
}

$t_url = htmlspecialchars(preg_replace('/^url=(.*)$/i','$1',$_SERVER["QUERY_STRING"]));

if(!empty($t_url)) {
    
    if ($t_url == base64_encode(base64_decode($t_url))) {
        $t_url =  base64_decode($t_url);
    }

    preg_match('/^(http|https):\/\//i',$t_url,$matches);
if($matches){
    $url=$t_url;
    $title= __( 'page loading, please wait...', 'envato-affiliate' );
} else {
    preg_match('/\./i',$t_url,$matche);
    if($matche){
        $url='http://'.$t_url;
        $title=  __( 'page loading, please wait...', 'envato-affiliate' );
    } else {
        $url = 'http://'.$_SERVER['HTTP_HOST'];
        $title= __( 'Parameter error, returning to home page...', 'envato-affiliate' );
    }
}
} else {
    $title = __( 'Parameter error, returning to home page...', 'envato-affiliate' );
    $url = 'http://'.$_SERVER['HTTP_HOST'];
}
$countdown = get_option('ieaff_waiting_time');
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset='<?php bloginfo( 'charset' ); ?>'>
<meta name='viewport' content='width=device-width, initial-scale=1'>
<link rel='profile' href='http://gmpg.org/xfn/11'>
<link rel='pingback' href='<?php bloginfo( 'pingback_url' ); ?>'>
<meta http-equiv="refresh" content="<?php echo $countdown; ?>; url=<?php echo $url; ?>">
<script type="text/javascript">
var num=<?php echo $countdown; ?>;
var interval=setInterval(function(){
if(num==0){
clearInterval(interval);
}
numDiv.innerHTML=num--;
},1000);
</script>
<title><?php echo $title;?></title>
<style>
body{background:rgba(255,255,255,0.93);margin:0;font-size:1.25rem;color:#666;}a,a:hover, a:active, a:focus {color:#666;}.loading{width:100%;min-height:100vh;display:flex;justify-content:center;align-items:center}.sbl-meter{height:64px;width:64px;color:#666;border-radius:50%;border:5px solid;position:relative;display:inline-block;margin:25px}.sbl-meter::after{content:'';height:35%;width:0;border-radius:5px;border:3px solid;display:block;color:inherit;position:absolute;left:29px;top:3px;transform-origin:bottom;animation:rotate 5s linear infinite}@keyframes rotate{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.spinner-wrapper{display:flex;justify-content:center;align-items:center;flex-direction:column;padding:20px}.spinner-text{text-align:center}
</style>
</head>
<body>
<div class="loading">
  <div class="spinner-wrapper">
    <span class="sbl-meter"></span>
    <span class="spinner-text"><?php printf( __( 'You will be redirected in <span id="numDiv">%1$s</span> seconds, If your wan\'t to wating, please <a href="%2$s">click here</a>', 'envato-affiliate' ), $countdown, $url ); ?></span>
  </div>
</div>
</body>
</html>